net.ME1312.SubServers.Client.Bukkit.Network

## Interface PacketOut

All Known Implementing Classes:
  PacketAuthorization, PacketCommandServer, PacketCreateServer, PacketDownloadHostInfo, PacketDownloadLang, PacketDownloadPlayerList, PacketDownloadServerInfo, PacketDownloadServerList, PacketInfoPassthrough, PacketLinkServer, PacketStartServer, PacketStopServer, PacketTeleportPlayer

    public interface PacketOut

PacketOut Layout Class

Author:
  ME1312

### Method Summary

All Methods Instance Methods Abstract Methods
`org.json.JSONObject` `generate()` Generate JSON Packet Contents
`Version` `getVersion()` Get Packet Version

### Method Detail

#### generate

    org.json.JSONObject generate()

Generate JSON Packet Contents

Returns:
  Packet Contents

#### getVersion

    Version getVersion()

Get Packet Version

Returns:
  Packet Version